it.csi.mddtools.guigen

## Enum LoginUITypes

- java.lang.Object
- - java.lang.Enum<LoginUITypes>
  - - it.csi.mddtools.guigen.LoginUITypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LoginUITypes>, org.eclipse.emf.common.util.Enumerator

      public enum LoginUITypes
      extends java.lang.Enum<LoginUITypes>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Login UI Types', and utility methods for working with them.
  See Also:
    `GuigenPackage.getLoginUITypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM` The 'CUSTOM' literal object
    `USERNAME_PASSWORD` The 'USERNAME PASSWORD' literal object
    `USERNAME_PASSWORD_PIN` The 'USERNAME PASSWORD PIN' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CUSTOM_VALUE` The 'CUSTOM' literal value
    `static int` | `USERNAME_PASSWORD_PIN_VALUE` The 'USERNAME PASSWORD PIN' literal value
    `static int` | `USERNAME_PASSWORD_VALUE` The 'USERNAME PASSWORD' literal value
    `static java.util.List<LoginUITypes>` | `VALUES` A public read-only list of all the 'Login UI Types' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoginUITypes` | `get(int value)` Returns the 'Login UI Types' literal with the specified integer value
    `static LoginUITypes` | `get(java.lang.String literal)` Returns the 'Login UI Types' literal with the specified literal value
    `static LoginUITypes` | `getByName(java.lang.String name)` Returns the 'Login UI Types' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static LoginUITypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LoginUITypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USERNAME_PASSWORD

          public static final LoginUITypes USERNAME_PASSWORD

      The 'USERNAME PASSWORD' literal object.
      See Also:
        `USERNAME_PASSWORD_VALUE`

    - #### USERNAME_PASSWORD_PIN

          public static final LoginUITypes USERNAME_PASSWORD_PIN

      The 'USERNAME PASSWORD PIN' literal object.
      See Also:
        `USERNAME_PASSWORD_PIN_VALUE`

    - #### CUSTOM

          public static final LoginUITypes CUSTOM

      The 'CUSTOM' literal object.
      See Also:
        `CUSTOM_VALUE`

  - ### Field Detail

    - #### USERNAME_PASSWORD_VALUE

          public static final int USERNAME_PASSWORD_VALUE

      The 'USERNAME PASSWORD' literal value.

      If the meaning of 'USERNAME PASSWORD' literal object isn't clear, there really should be more of a description here...

      See Also:
        `USERNAME_PASSWORD`, Constant Field Values

    - #### USERNAME_PASSWORD_PIN_VALUE

          public static final int USERNAME_PASSWORD_PIN_VALUE

      The 'USERNAME PASSWORD PIN' literal value.

      If the meaning of 'USERNAME PASSWORD PIN' literal object isn't clear, there really should be more of a description here...

      See Also:
        `USERNAME_PASSWORD_PIN`, Constant Field Values

    - #### CUSTOM_VALUE

          public static final int CUSTOM_VALUE

      The 'CUSTOM' literal value.

      If the meaning of 'CUSTOM' literal object isn't clear, there really should be more of a description here...

      See Also:
        `CUSTOM`, Constant Field Values

    - #### VALUES

          public static final java.util.List<LoginUITypes> VALUES

      A public read-only list of all the 'Login UI Types' enumerators.

  - ### Method Detail

    - #### values

          public static LoginUITypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoginUITypes c : LoginUITypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoginUITypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static LoginUITypes get(java.lang.String literal)

      Returns the 'Login UI Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static LoginUITypes getByName(java.lang.String name)

      Returns the 'Login UI Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static LoginUITypes get(int value)

      Returns the 'Login UI Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<LoginUITypes>`